## stratagus-3.3.2.tar.gz

=== CMakeLists.txt ===
#       _________ __                 __
#      /   _____//  |_____________ _/  |______     ____  __ __  ______
#      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
#      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ |
#     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
#             \/                  \/          \//_____/            \/
#  ______________________                           ______________________
#                        T H E   W A R   B E G I N S
#         Stratagus - A free fantasy real time strategy game engine
#
#    CMakeLists.txt
#    Copyright (C) 2011-2014  Pali Rohár <pali.rohar@gmail.com>, cybermind <cybermindid@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#

#########################
# Version configuration #
#########################
# Stratagus major version
set(STRATAGUS_MAJOR_VERSION 3)
# Stratagus minor version (maximum 99)
set(STRATAGUS_MINOR_VERSION 3)
# Stratagus patch level (maximum 99)
set(STRATAGUS_PATCH_LEVEL 2)
# Stratagus patch level 2
set(STRATAGUS_PATCH_LEVEL2 0)
#########################

###############################
# Build vendored dependencies #
###############################
# Build lua 5.1
option(BUILD_VENDORED_LUA OFF)
###############################

project(stratagus)
cmake_minimum_required(VERSION 2.9)
cmake_policy(VERSION 3.10..3.20.2)

# useful for clangd LSP server
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

if(EXISTS ${WIN32_CMAKE_PREFIX_PATH})
	list(APPEND CMAKE_PREFIX_PATH "${WIN32_CMAKE_PREFIX_PATH}")
	message("Using prefix path ${CMAKE_PREFIX_PATH}")
endif()

# C++ standard
set(CMAKE_CXX_STANDARD 17)

set(STRATAGUS_VERSION "${STRATAGUS_MAJOR_VERSION}.${STRATAGUS_MINOR_VERSION}.${STRATAGUS_PATCH_LEVEL}")
set(STRATAGUS_VERSION_FULL "${STRATAGUS_VERSION}.${STRATAGUS_PATCH_LEVEL2}")

if(${STRATAGUS_PATCH_LEVEL2} GREATER 0)
	set(STRATAGUS_VERSION "${STRATAGUS_VERSION_FULL}")
endif()

# Stratagus sources

include_directories(
	src/include
	src/guichan/include
	src/guichan/include/guichan
        src/third_party/
	${CMAKE_CURRENT_BINARY_DIR}
)

set(action_SRCS
	src/action/action_attack.cpp
	src/action/action_board.cpp
	src/action/action_build.cpp
	src/action/action_built.cpp
	src/action/action_defend.cpp
	src/action/action_die.cpp
	src/action/action_explore.cpp
	src/action/action_follow.cpp
	src/action/action_move.cpp
	src/action/action_patrol.cpp
	src/action/action_repair.cpp
	src/action/action_research.cpp
	src/action/action_resource.cpp
	src/action/action_spellcast.cpp
	src/action/action_still.cpp
	src/action/action_train.cpp
	src/action/action_unload.cpp
	src/action/action_upgradeto.cpp
	src/action/actions.cpp
	src/action/command.cpp
)
source_group(action FILES ${action_SRCS})

set(animation_SRCS
	src/animation/animation.cpp
	src/animation/animation_attack.cpp
	src/animation/animation_die.cpp
	src/animation/animation_exactframe.cpp
	src/animation/animation_frame.cpp
	src/animation/animation_goto.cpp
	src/animation/animation_ifvar.cpp
	src/animation/animation_label.cpp
	src/animation/animation_luacallback.cpp
	src/animation/animation_move.cpp
	src/animation/animation_randomgoto.cpp
	src/animation/animation_randomrotate.cpp
	src/animation/animation_randomsound.cpp
	src/animation/animation_randomwait.cpp
	src/animation/animation_rotate.cpp
	src/animation/animation_setplayervar.cpp
	src/animation/animation_setvar.cpp
	src/animation/animation_sound.cpp
	src/animation/animation_spawnmissile.cpp
	src/animation/animation_spawnunit.cpp
	src/animation/animation_unbreakable.cpp
	src/animation/animation_wait.cpp
	src/animation/animation_wiggle.cpp
)
source_group(animation FILES ${animation_SRCS})

set(ai_SRCS
	src/ai/ai_building.cpp
	src/ai/ai.cpp
	src/ai/ai_force.cpp
	src/ai/ai_magic.cpp
	src/ai/ai_plan.cpp
	src/ai/ai_resource.cpp
	src/ai/script_ai.cpp
)
source_group(ai FILES ${ai_SRCS})

set(beos_SRCS
	src/beos/beos.cpp
)
source_group(beos FILES ${beos_SRCS})

set(editor_SRCS
	src/editor/editloop.cpp
	src/editor/editor.cpp
	src/editor/edmap.cpp
	src/editor/script_editor.cpp
)
source_group(editor FILES ${editor_SRCS})

set(game_SRCS
	src/game/game.cpp
	src/game/loadgame.cpp
	src/game/replay.cpp
	src/game/savegame.cpp
	src/game/trigger.cpp
)
source_group(game FILES ${game_SRCS})

set(guichan_SRCS
	src/guichan/cliprectangle.cpp
	src/guichan/color.cpp
	src/guichan/defaultfont.cpp
	src/guichan/exception.cpp
	src/guichan/focushandler.cpp
	src/guichan/gfont.cpp
	src/guichan/graphics.cpp
	src/guichan/gui.cpp
	src/guichan/guichan.cpp
	src/guichan/image.cpp
	src/guichan/imagefont.cpp
	src/guichan/key.cpp
	src/guichan/keyinput.cpp
	src/guichan/mouseinput.cpp
	src/guichan/rectangle.cpp
	src/guichan/sdl/gsdl.cpp
	src/guichan/sdl/sdlgraphics.cpp
	src/guichan/sdl/sdlinput.cpp
	src/guichan/widget.cpp
	src/guichan/widgets/button.cpp
	src/guichan/widgets/container.cpp
	src/guichan/widgets/dropdown.cpp
	src/guichan/widgets/checkbox.cpp
	src/guichan/widgets/icon.cpp
	src/guichan/widgets/label.cpp
	src/guichan/widgets/listbox.cpp
	src/guichan/widgets/radiobutton.cpp
	src/guichan/widgets/scrollarea.cpp
	src/guichan/widgets/slider.cpp
	src/guichan/widgets/textbox.cpp
	src/guichan/widgets/textfield.cpp
	src/guichan/widgets/window.cpp
)
source_group(guichan FILES ${guichan_SRCS})

set(map_SRCS
	src/map/fov.cpp
	src/map/fow.cpp
	src/map/fow_utils.cpp
	src/map/map.cpp
	src/map/map_draw.cpp
	src/map/map_fog.cpp
	src/map/map_radar.cpp
	src/map/map_wall.cpp
	src/map/mapfield.cpp
	src/map/minimap.cpp
	src/map/script_map.cpp
	src/map/script_tileset.cpp
	src/map/tileset.cpp
)
source_group(map FILES ${map_SRCS})

set(missile_SRCS
	src/missile/missile.cpp
	src/missile/missile_cliptotarget.cpp
	src/missile/missile_continuous.cpp
	src/missile/missile_cycleonce.cpp
	src/missile/missile_deathcoil.cpp
	src/missile/missile_fire.cpp
	src/missile/missile_flameshield.cpp
	src/missile/missile_hit.cpp
	src/missile/missile_landmine.cpp
	src/missile/missile_none.cpp
	src/missile/missile_parabolic.cpp
	src/missile/missile_pointotpointwithhit.cpp
	src/missile/missile_pointtopoint.cpp
	src/missile/missile_pointtopointbounce.cpp
	src/missile/missile_pointtopointcycleonce.cpp
	src/missile/missile_stay.cpp
	src/missile/missile_straightfly.cpp
	src/missile/missile_tracer.cpp
	src/missile/missile_whirlwind.cpp
	src/missile/missileconfig.cpp
	src/missile/script_missile.cpp
)
source_group(missile FILES ${missile_SRCS})

set(network_SRCS
	src/network/commands.cpp
	src/network/net_lowlevel.cpp
	src/network/net_message.cpp
	src/network/netconnect.cpp
	src/network/network.cpp
	src/network/netsockets.cpp
        src/network/online_service.cpp
        src/network/mdns.cpp
)
source_group(network FILES ${network_SRCS})

set(particle_SRCS
	src/particle/graphicanimation.cpp
	src/particle/chunkparticle.cpp
	src/particle/particlemanager.cpp
	src/particle/radialparticle.cpp
	src/particle/smokeparticle.cpp
	src/particle/staticparticle.cpp
)
source_group(particle FILES ${particle_SRCS})

set(pathfinder_SRCS
	src/pathfinder/astar.cpp
	src/pathfinder/pathfinder.cpp
	src/pathfinder/script_pathfinder.cpp
)
source_group(pathfinder FILES ${pathfinder_SRCS})

set(sound_SRCS
	src/sound/music.cpp
	src/sound/script_sound.cpp
	src/sound/sound.cpp
	src/sound/sound_id.cpp
	src/sound/sound_server.cpp
	src/sound/unitsound.cpp
)
source_group(sound FILES ${sound_SRCS})

set(spell_SRCS
	src/spell/script_spell.cpp
	src/spell/spell_adjustvariable.cpp
	src/spell/spell_adjustvital.cpp
	src/spell/spell_areaadjustvital.cpp
	src/spell/spell_areabombardment.cpp
	src/spell/spell_capture.cpp
	src/spell/spell_demolish.cpp
	src/spell/spell_luacallback.cpp
	src/spell/spell_polymorph.cpp
	src/spell/spell_spawnmissile.cpp
	src/spell/spell_spawnportal.cpp
	src/spell/spell_summon.cpp
	src/spell/spell_teleport.cpp
	src/spell/spells.cpp
)
source_group(spell FILES ${spell_SRCS})

set(stratagusmain_SRCS
	src/stratagus/construct.cpp
	src/stratagus/groups.cpp
	src/stratagus/iolib.cpp
	src/stratagus/luacallback.cpp
	src/stratagus/main.cpp
	src/stratagus/mainloop.cpp
	src/stratagus/parameters.cpp
	src/stratagus/player.cpp
	src/stratagus/script.cpp
	src/stratagus/script_player.cpp
	src/stratagus/selection.cpp
	src/stratagus/stratagus.cpp
	src/stratagus/title.cpp
	src/stratagus/translate.cpp
	src/stratagus/util.cpp
)
source_group(stratagusmain FILES ${stratagus_SRCS})

set(ui_SRCS
	src/ui/botpanel.cpp
	src/ui/button_checks.cpp
	src/ui/contenttype.cpp
	src/ui/icons.cpp
	src/ui/interface.cpp
	src/ui/mainscr.cpp
	src/ui/uibuttons_proc.cpp
	src/ui/mouse.cpp
	src/ui/popup.cpp
	src/ui/script_ui.cpp
	src/ui/statusline.cpp
	src/ui/ui.cpp
	src/ui/uitimer.cpp
	src/ui/widgets.cpp
)
source_group(ui FILES ${ui_SRCS})

set(unit_SRCS
	src/unit/build.cpp
	src/unit/depend.cpp
	src/unit/script_unit.cpp
	src/unit/script_unittype.cpp
	src/unit/unit_cache.cpp
	src/unit/unit.cpp
	src/unit/unit_draw.cpp
	src/unit/unit_find.cpp
	src/unit/unit_manager.cpp
	src/unit/unit_save.cpp
	src/unit/unitptr.cpp
	src/unit/unittype.cpp
	src/unit/upgrade.cpp
)
source_group(unit FILES ${unit_SRCS})

set(video_SRCS
	src/video/color.cpp
	src/video/cursor.cpp
	src/video/font.cpp
	src/video/graphic.cpp
	src/video/linedraw.cpp
        src/video/mng.cpp
	src/video/movie.cpp
	src/video/png.cpp
	src/video/sdl.cpp
	src/video/video.cpp
        src/video/shaders.cpp
)
source_group(video FILES ${video_SRCS})

set(win32_SRCS
	src/win32/SetupConsole_win32.cpp
	src/win32/stratagus.rc
)
source_group(win32 FILES ${win32_SRCS})

set(tolua_FILES
	src/tolua/ai.pkg
	src/tolua/editor.pkg
	src/tolua/font.pkg
	src/tolua/game.pkg
	src/tolua/map.pkg
	src/tolua/minimap.pkg
	src/tolua/network.pkg
	src/tolua/particle.pkg
	src/tolua/pathfinder.pkg
	src/tolua/player.pkg
	src/tolua/sound.pkg
	src/tolua/stratagus.pkg
	src/tolua/translate.pkg
	src/tolua/trigger.pkg
	src/tolua/ui.pkg
	src/tolua/unit.pkg
	src/tolua/unittype.pkg
	src/tolua/upgrade.pkg
	src/tolua/video.pkg
	src/tolua/stratagus.lua
)
source_group(tolua FILES ${tolua_FILES})

set(stratagus_SRCS
	${action_SRCS}
	${animation_SRCS}
	${ai_SRCS}
	${editor_SRCS}
	${game_SRCS}
	${guichan_SRCS}
	${map_SRCS}
	${missile_SRCS}
	${network_SRCS}
	${particle_SRCS}
	${pathfinder_SRCS}
	${sound_SRCS}
	${spell_SRCS}
	${stratagusmain_SRCS}
	${ui_SRCS}
	${unit_SRCS}
	${video_SRCS}
        ${hqx_SRCS}
        ${xbrz_SRCS}
	${CMAKE_CURRENT_BINARY_DIR}/tolua.cpp
)

set(stratagus_guichan_HDRS
	src/guichan/include/guichan/actionlistener.h
	src/guichan/include/guichan/allegro.h
	src/guichan/include/guichan/basiccontainer.h
	src/guichan/include/guichan/cliprectangle.h
	src/guichan/include/guichan/color.h
	src/guichan/include/guichan/defaultfont.h
	src/guichan/include/guichan/exception.h
	src/guichan/include/guichan/focushandler.h
	src/guichan/include/guichan/font.h
	src/guichan/include/guichan/graphics.h
	src/guichan/include/guichan/gsdl.h
	src/guichan/include/guichan/gui.h
	src/guichan/include/guichan.h
	src/guichan/include/guichan/imagefont.h
	src/guichan/include/guichan/image.h
	src/guichan/include/guichan/imageloader.h
	src/guichan/include/guichan/input.h
	src/guichan/include/guichan/key.h
	src/guichan/include/guichan/keyinput.h
	src/guichan/include/guichan/keylistener.h
	src/guichan/include/guichan/listmodel.h
	src/guichan/include/guichan/mouseinput.h
	src/guichan/include/guichan/mouselistener.h
	src/guichan/include/guichan/platform.h
	src/guichan/include/guichan/rectangle.h

=== third-party/lua-5.1.5/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(lua)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
add_subdirectory(src/)
add_subdirectory(toluapp-simple/)

=== third-party/lua-5.1.5/src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED True)

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})

set(LUA_LIB_SRC
 "lapi.c"
 "lcode.c"
 "ldebug.c"
 "ldo.c"
 "ldump.c"
 "lfunc.c"
 "lgc.c"
 "llex.c"
 "lmem.c"
 "lobject.c"
 "lopcodes.c"
 "lparser.c"
 "lstate.c"
 "lstring.c"
 "ltable.c"
 "ltm.c"
 "lundump.c"
 "lvm.c"
 "lzio.c"
 "lauxlib.c"
 "lbaselib.c"
 "ldblib.c"
 "liolib.c"
 "lmathlib.c"
 "loslib.c"
 "ltablib.c"
 "lstrlib.c"
 "loadlib.c"
 "linit.c"
)

set(LUA_SRC "lua.c")

add_library(lua51_static STATIC "${LUA_LIB_SRC}")
set_target_properties(lua51_static PROPERTIES OUTPUT_NAME "lua51")

add_library(lua51_shared SHARED "${LUA_LIB_SRC}")
set_target_properties(lua51_shared PROPERTIES OUTPUT_NAME "lua51")

add_executable(lua51 "${LUA_SRC}" "${LUA_LIB_SRC}")

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

set(CMAKE_CXX_FLAGS_DEBUG "-g")
set(CMAKE_CXX_FLAGS_RELEASE "-O2")

if(UNIX)
target_compile_definitions(lua51_static PUBLIC "LUA_USE_DLOPEN" "LUA_USE_MKSTEMP")
target_compile_definitions(lua51_shared PUBLIC "LUA_USE_DLOPEN" "LUA_USE_MKSTEMP")
target_compile_definitions(lua51 PUBLIC "LUA_USE_DLOPEN" "LUA_USE_MKSTEMP")
target_link_libraries(lua51 PUBLIC ${CMAKE_DL_LIBS})
target_link_libraries(lua51_static PUBLIC ${CMAKE_DL_LIBS})
target_link_libraries(lua51_shared PUBLIC ${CMAKE_DL_LIBS})
endif()

set_target_properties(lua51_static PROPERTIES LINKER_LANGUAGE CXX)
set_target_properties(lua51_shared PROPERTIES LINKER_LANGUAGE CXX)
set_target_properties(lua51 PROPERTIES LINKER_LANGUAGE CXX)

set_target_properties(lua51 PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}
    )

add_custom_command(TARGET lua51_static POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy "${PROJECT_SOURCE_DIR}/src/lua.h" "${PROJECT_SOURCE_DIR}/src/luaconf.h" "${PROJECT_SOURCE_DIR}/src/lualib.h" "${PROJECT_SOURCE_DIR}/src/lauxlib.h" ${CMAKE_LIBRARY_OUTPUT_DIRECTORY})

=== third-party/lua-5.1.5/toluapp-simple/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED True)

set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR})

set(TOLUA_BIN_SRC
tolua.c
toluabind.c
)

set(TOLUA_LIB_SRC
tolua_event.c
tolua_is.c
tolua_map.c
tolua_push.c
tolua_to.c
)


add_library(toluapp51 STATIC "${TOLUA_LIB_SRC}")
add_library(toluapp51_shared SHARED "${TOLUA_LIB_SRC}")
set_target_properties(toluapp51_shared PROPERTIES OUTPUT_NAME "toluapp51")
add_executable(toluapp "${TOLUA_BIN_SRC}" "${TOLUA_LIB_SRC}")

if(MSVC)
    target_link_libraries(toluapp51 PUBLIC "${PROJECT_BINARY_DIR}/$<CONFIGURATION>/lua51.lib" ${CMAKE_DL_LIBS})
    target_link_libraries(toluapp51_shared PUBLIC "${PROJECT_BINARY_DIR}/$<CONFIGURATION>/lua51.lib" ${CMAKE_DL_LIBS})
    target_link_libraries(toluapp PUBLIC "${PROJECT_BINARY_DIR}/$<CONFIGURATION>/lua51.lib" ${CMAKE_DL_LIBS})
else()
    target_link_libraries(toluapp51 PUBLIC "${PROJECT_BINARY_DIR}/liblua51.a" ${CMAKE_DL_LIBS})
    target_link_libraries(toluapp51_shared PUBLIC "${PROJECT_BINARY_DIR}/liblua51.a" ${CMAKE_DL_LIBS})
    target_link_libraries(toluapp PUBLIC "${PROJECT_BINARY_DIR}/liblua51.a" ${CMAKE_DL_LIBS})
endif(MSVC)

add_custom_command(TARGET toluapp51 POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy "${PROJECT_SOURCE_DIR}/toluapp-simple/tolua++.h" ${CMAKE_LIBRARY_OUTPUT_DIRECTORY})

set_target_properties(toluapp PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}
    )

set_target_properties(toluapp51 PROPERTIES LINKER_LANGUAGE CXX)
set_target_properties(toluapp51_shared PROPERTIES LINKER_LANGUAGE CXX)
set_target_properties(toluapp PROPERTIES LINKER_LANGUAGE CXX)

include_directories(${CMAKE_LIBRARY_OUTPUT_DIRECTORY})

=== debian/changelog ===
stratagus (3.3.2) focal; urgency=medium

  [ Tim Felgentreff ]
  * fix potential music jitter when multiple callbacks are enqueued

 -- Tim Felgentreff <timfelgentreff@gmail.com>  Wed, 10 Aug 2022 20:01:42 +0200

stratagus (3.3.1) focal; urgency=medium

  [ Tim Felgentreff ]
  * fix potential crash in editor with dynamic load
  * ony draw references on units with debug print
  * fix wrong assert, compilation on ubuntu 22.04

  [ Northfear ]
  * Fix build with enabled DYNAMIC_LOAD

 -- Tim Felgentreff <timfelgentreff@gmail.com>  Sun, 31 Jul 2022 11:43:53 +0200

stratagus (3.3.0) focal; urgency=medium

  [ Alex Grant Benedict ]
  * Update stratagus-tinyfiledialogs.h

  [ Tim Felgentreff ]
  * On windows, prefer stratagus from PATH over registry

  [ Alyokhin ]
  * Fixed fog for non-square maps

  [ Tim Felgentreff ]
  * workaround a few crashes in the online service
  * add password flag to text fields
  * HACK: make ctrl+keys work again in guichan
  * add a lua function to restart the game
  * guard against potential crashes due to bad lua coding of menus
  * allow immediate reconnect to online service
  * guard against lost network callbacks
  * return success/failure from LoadStratagusMapInfo
  * compile with c++17 filesystem support
  * implement transmitting maps from server to client during join
  * fix idle crash when online
  * expose full file path in __file__; add disabled filesystem listing lua function
  * allow unit selection in editor
  * use ChangeOwner in SetUnitVariable(..."Player")
  * add ability to change unit color in SetUnitVariable
  * editor fixes
  * add CopyUnitType function
  * fix SetUnitVariable("Color")
  * add GiveUnitsToPlayer function
  * use lookup tables for cp437 and cp866 font graphics
  * add support for mapping between codepages

  [ Simone Starace ]
  * Changed the body of function ChangeUnitsOwner.

  [ Tim Felgentreff ]
  * better docs for SetFontCodePage
  * avoid useless utf8 work for numbers
  * update codepoint mapping to allow multichar subst
  * rename mobdebug.h, not a real header
  * allow setting NumBounces for missile-clip-to-target
  * draw missile cliptotarget centered on top left corner of target
  * add animated sprite decoration
  * add button check units-nor and fix CopyUnitType
  * fix walls disappearing when changing surroundings
  * use sdl hardware cursor to decouple the cursor speed from the game speed
  * fix cursor drawing, now only the offset may be wrong
  * fix mouse event coordinates for vertical pixel stretching
  * make hardware cursor a preference
  * fix scaled cursor hot pos
  * deselect for list boxes
  * try to clean up a bit better
  * allow using bool flags for enable/disable decoration
  * a bit more configurability for the decoration bar
  * fix one more potential crash with font rendering
  * add option to indicate damage in selection rect
  * only show group if ShowOrders is true
  * Make max messages configurable with SetMaxMessageCount and rework repeated message handling
  * add a simple function to copy unit buttons to another unit
  * add ability to set completely custom Colors for a unit
  * add ability to define additional colors and set custom unit color
  * fix a class of potential NPEs
  * fix a crash in select script functions
  * first attempt at a "randomizer" tool for the editor
  * fix memory leak, thanks @Andrettin
  * improve astar cleanup performance. thanks @Andrettin
  * don't return depots unconditionally
  * fix start location sticking to cursor
  * tweak map randomize
  * be backwards compatible with war1gus colorsets
  * make randomize editor feature configurable
  * add import
  * expose Randomize map to lua
  * Revert "improve astar cleanup performance. thanks @Andrettin"
  * Revert "don't return depots unconditionally"
  * tweak map randomization
  * fix two potential crashes
  * Revert "Revert "don't return depots unconditionally""
  * Revert "Revert "improve astar cleanup performance. thanks @Andrettin""
  * better random for random maps
  * Add FindNextResource lua function
  * make free workers icon clickable and hideable when no free workers available
  * pause game when network is out of sync
  * improve UnitDump logging
  * improve logging of network out of sync
  * SyncHash change logging
  * ask for port for easy multiplayer debugging
  * reduce backtrace size
  * dump unit debug in dev launch
  * more debugging and sync hashing
  * sort the CUnit::Init variables as in the header
  * workaround for not finding depot from mine
  * port depot finder change from  Wyrmgus that searches from outside mine
  * add disabled astar overlay
  * disable a bit of the extra much logging again

  [ sviscapi ]
  * Changed boolean into bool in online_service.cpp

  [ Tim Felgentreff ]
  * reuse game structures in replay types
  * delete metaserver
  * WIP: start unifying all GameSettings
  * doc update for SetPlayerData
  * fix SettingsPresets#Init
  * more room for backtrace
  * fix replay refactpring
  * fix team assignments again
  * fix build issues on linux
  * don't use enum class until we remove tolua++
  * always use vendored lua
  * cleanups
  * make changes work with tolua++, trying to be backwards compatible
  * since FoV is relevant for sync, make it part of GameSettings
  * move sync-relevant preferences into GameSettings
  * debugprint game settings, fix sign of some settings
  * give games the opportunity to store custom settings in GameSettings that get synced across the network
  * ensure we store team preferences in replay and always re-init GameSettings with user preferences where applicable
  * Revert "always use vendored lua"
  * AiChecksDependencies is now synced across network clients
  * don't autosave during replay
  * always use network command queue, even in single player, for replays to work
  * fix wrong assert
  * fixed another assert problem when game is cleaning up

  [ alyokhin ]
  * fix compile error for gcc version >9.3.0

  [ Tim Felgentreff ]


=== debian/control ===
Source: stratagus
Section: games
Priority: optional
Maintainer: cybermind <iddqd_mail@mail.ru>
Build-Depends: debhelper (>= 7), cmake (>= 2.6), doxygen,
 imagemagick, sharutils, liblua5.1-dev | liblua5.1-0-dev, libtolua++5.1-dev,
 zlib1g-dev, libbz2-dev, libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev,
 libogg-dev, libvorbis-dev, libtheora-dev, libmng-dev,
 libpng12-dev (>= 1.2.5) | libpng-dev (>= 1.2.5), graphviz
Standards-Version: 3.9.6
Homepage: https://github.com/Wargus/stratagus
Vcs-Browser: https://github.com/Wargus/stratagus
Vcs-Git: https://github.com/Wargus/stratagus.git

Package: stratagus
Architecture: any
Recommends: wargus, war1gus, stargus, stratagus-data
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Strategy Gaming Engine
 Stratagus is a free cross-platform real-time strategy gaming engine.
 It includes support for playing over Internet/LAN, or playing vs.
 computer opponents. The engine is configurable and can be used to
 create games with a wide-range of features specific to your needs.
 .
 Stratagus started as a clone of the realtime fantasy strategy game
 Warcraft II from Blizzard Entertainment, although it is used now as a
 game engine to build other games, sci-fi or fantasy ones.
 .
 Stratagus is developed together for Windows, Linux and Mac OS X.
 .
 Games which use Stratagus:
  * Wargus - Warcraft II - https://github.com/Wargus/wargus
  * Doom Wars - http://stratagus.com/games/doom-wars
  * Wyrmsun - https://github.com/andrettin/wyrmsun
    (uses modified engine version : https://github.com/Andrettin/Wyrmgus)
  * Stargus - Starcraft I - https://github.com/Wargus/stargus
  * War1gus - Warcraft I - https://github.com/Wargus/war1gus
 .
 This package provides no game and no game data set. This is only engine.
 To play one of game, install package wargus, war1gus or stargus.
 .
 This is the stable release of Stratagus, and is both fairly playable and
 fairly bug-free. It also has network connectivity for up to 8 players.
 .
 This version is compiled with some of the possible options, and thus has
 gzip, bunzip2, SDL, vorbis, theora and OpenGL (or OpenGL ES 1.1) support.
 The sound options will depend on your personal election on SDL packages.

Package: stratagus-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg, stratagus (= ${binary:Version})
Description: Strategy Gaming Engine (debugging symbols)
 Stratagus is a free cross-platform real-time strategy gaming engine.
 It includes support for playing over Internet/LAN, or playing vs.
 computer opponents. The engine is configurable and can be used to
 create games with a wide-range of features specific to your needs.
 .
 Stratagus started as a clone of the realtime fantasy strategy game
 Warcraft II from Blizzard Entertainment, although it is used now as a
 game engine to build other games, sci-fi or fantasy ones.
 .
 Stratagus is developed together for Windows, Linux and Mac OS X.
 .
 Games which use Stratagus:
  * Wargus - Warcraft II - https://github.com/Wargus/wargus
  * Doom Wars - http://stratagus.com/games/doom-wars
  * Wyrmsun - https://github.com/andrettin/wyrmsun
    (uses modified engine version : https://github.com/Andrettin/Wyrmgus)
  * Stargus - Starcraft I - https://github.com/Wargus/stargus
  * War1gus - Warcraft I - https://github.com/Wargus/war1gus
 .
 This package provides no game and no game data set. This is only engine.
 To play one of game, install package wargus, war1gus or stargus.
 .
 This is the stable release of Stratagus, and is both fairly playable and
 fairly bug-free. It also has network connectivity for up to 8 players.
 .
 This version is compiled with some of the possible options, and thus has
 gzip, bunzip2, SDL, vorbis, theora and OpenGL (or OpenGL ES 1.1) support.
 The sound options will depend on your personal election on SDL packages.
 .
 This package contains Stratagus binary with debugging symbols.

Package: stratagus-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: stratagus
Description: Strategy Gaming Engine (documentation)
 Stratagus is a free cross-platform real-time strategy gaming engine.
 It includes support for playing over Internet/LAN, or playing vs.
 computer opponents. The engine is configurable and can be used to
 create games with a wide-range of features specific to your needs.
 .
 Stratagus started as a clone of the realtime fantasy strategy game
 Warcraft II from Blizzard Entertainment, although it is used now as a
 game engine to build other games, sci-fi or fantasy ones.
 .
 Stratagus is developed together for Windows, Linux and Mac OS X.
 .
 Games which use Stratagus:
  * Wargus - Warcraft II - https://github.com/Wargus/wargus
  * Doom Wars - http://stratagus.com/games/doom-wars
  * Wyrmsun - https://github.com/andrettin/wyrmsun
    (uses modified engine version : https://github.com/Andrettin/Wyrmgus)
  * Stargus - Starcraft I - https://github.com/Wargus/stargus
  * War1gus - Warcraft I - https://github.com/Wargus/war1gus
 .
 This package provides no game and no game data set. This is only engine.
 To play one of game, install package wargus, war1gus or stargus.
 .
 This is the stable release of Stratagus, and is both fairly playable and
 fairly bug-free. It also has network connectivity for up to 8 players.
 .
 This version is compiled with some of the possible options, and thus has
 gzip, bunzip2, SDL, vorbis, theora and OpenGL (or OpenGL ES 1.1) support.
 The sound options will depend on your personal election on SDL packages.
 .
 This package contains Stratagus documentation.

Package: stratagus-dev
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, stratagus (>= ${binary:Version})
Description: Strategy Gaming Engine (development files)
 Stratagus is a free cross-platform real-time strategy gaming engine.
 It includes support for playing over Internet/LAN, or playing vs.
 computer opponents. The engine is configurable and can be used to
 create games with a wide-range of features specific to your needs.
 .
 Stratagus started as a clone of the realtime fantasy strategy game
 Warcraft II from Blizzard Entertainment, although it is used now as a
 game engine to build other games, sci-fi or fantasy ones.
 .
 Stratagus is developed together for Windows, Linux and Mac OS X.
 .
 Games which use Stratagus:
  * Wargus - Warcraft II - https://github.com/Wargus/wargus
  * Doom Wars - http://stratagus.com/games/doom-wars
  * Wyrmsun - https://github.com/andrettin/wyrmsun
    (uses modified engine version : https://github.com/Andrettin/Wyrmgus)
  * Stargus - Starcraft I - https://github.com/Wargus/stargus
  * War1gus - Warcraft I - https://github.com/Wargus/war1gus
 .
 This package provides no game and no game data set. This is only engine.
 To play one of game, install package wargus, war1gus or stargus.
 .
 This is the stable release of Stratagus, and is both fairly playable and
 fairly bug-free. It also has network connectivity for up to 8 players.
 .
 This version is compiled with some of the possible options, and thus has
 gzip, bunzip2, SDL, vorbis, theora and OpenGL (or OpenGL ES 1.1) support.
 The sound options will depend on your personal election on SDL packages.
 .
 This package contains Stratagus game development headers files needed for
 building Stratagus games.

=== debian/rules ===
#!/usr/bin/make -f
#       _________ __                 __
#      /   _____//  |_____________ _/  |______     ____  __ __  ______
#      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
#      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ |
#     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
#             \/                  \/          \//_____/            \/
#  ______________________                           ______________________
#                        T H E   W A R   B E G I N S
#         Stratagus - A free fantasy real time strategy game engine
#
#    debian/rules
#    Copyright (C) 2010-2011  Pali Rohár <pali.rohar@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#

%:
	dh $@ --parallel

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --builddirectory=obj-$(DEB_BUILD_GNU_TYPE)-dbg

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_DOC=ON -DENABLE_DEV=ON
	dh_auto_configure --builddirectory=obj-$(DEB_BUILD_GNU_TYPE)-dbg -- -DCMAKE_BUILD_TYPE=Debug

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=obj-$(DEB_BUILD_GNU_TYPE)-dbg

override_dh_install:
	dh_install
	dh_auto_install --builddirectory=obj-$(DEB_BUILD_GNU_TYPE)-dbg --destdir=debian/stratagus-dbg
	rm -f debian/stratagus-dbg/usr/bin/png2stratagus
	convert src/win32/stratagus.ico debian/stratagus/usr/share/pixmaps/stratagus.png

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info     

override_dh_strip:
	dh_strip --dbg-package=stratagus-dbg
